#ifndef LIBKYDEVICESEC_CDROM_H
#define LIBKYDEVICESEC_CDROM_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum _kdk_cdrom_status {
    KDK_CDROM_ENABLE = 1,             //启用刻录机  
    KDK_CDROM_DISABLE = 2,            //禁用刻录机 
    KDK_CDROM_RO = 5,                 //只读刻录机
} kdk_cdrom_status;

/**
 * 刻录机管控
 */

/**
 * @brief 设置刻录机管控状态
 * @param status [in] 刻录机管控状态，参见_kdk_cdrom_status
 * @return int 返回0表示成功，返回其他表示失败
 */
extern int kdk_device_set_cdrom_status(int status);

/**
 * @brief 获取刻录机管控状态
 * @return int 返回0表示禁用，返回1表示启用，返回2表示只读，返回其他表示失败
 */
extern int kdk_device_get_cdrom_status();

#ifdef __cplusplus
}
#endif

#endif
