#ifndef LIBKYDEVICESEC_NETCARD_H
#define LIBKYDEVICESEC_NETCARDI_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum _kdk_netcard_type {
    KDK_NET_WIRELESS = 0,
    KDK_NET_ETHERNET,
} kdk_netcard_type;

typedef enum _kdk_netcard_status {
    KDK_NET_DISABLE = 0,
    KDK_NET_ENABLE,
} kdk_netcard_status;

/**
 * 网卡管控
 */

/**
 * @brief 设置网卡管控状态
 * @param type [in] 网卡类型，参见 kdk_netcard_type
 * @param status [in] 网卡管控状态，参见 kdk_netcard_status
 * @return int 返回0表示成功，返回-1表示失败
 */
extern int kdk_device_set_netcard_status(int type, int status);

/**
 * @brief 获取网卡管控状态
 * @param type [in] 网卡类型，参见 kdk_netcard_type
 * @return int 返回0表示禁用，返回1表示启用，返回-1表示失败
 */
extern int kdk_device_get_netcard_status(int type);


#ifdef __cplusplus
}
#endif

#endif