#ifndef LIBKYDEVICESEC_PHONE_H
#define LIBKYDEVICESEC_PHONE_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum _kdk_phone_status {
    KDK_PHONE_DISABLE = 0,
    KDK_PHONE_ENABLE,
    KDK_PHONE_RO,
} kdk_phone_status;

typedef enum _kdk_phone_mode {
    KDK_PHONE_MODE_NORMAL = 0,
    KDK_PHONE_MODE_BLACKLIST,
    KDK_PHONE_MODE_WHITELIST,
} kdk_phone_mode;

struct kdk_phone_dev {
    unsigned char pid[5];
    unsigned char vid[5];
    unsigned char serial[129];
};

extern int kdk_device_set_phone_status(int status);

extern int kdk_device_get_phone_status();

extern int kdk_device_set_phone_bwm(int mode);

extern int kdk_device_get_phone_bwm();

struct kdk_phone_dev* kdk_device_get_phone_blacklist(int *len);

extern int kdk_device_set_phone_blacklist(struct kdk_phone_dev *dev);

extern int kdk_device_del_phone_blacklist(struct kdk_phone_dev *dev);

extern int kdk_device_clear_phone_blacklist();

struct kdk_phone_dev* kdk_device_get_phone_whitelist(int *len);

extern int kdk_device_set_phone_whitelist(struct kdk_phone_dev *dev);

extern int kdk_device_del_phone_whitelist(struct kdk_phone_dev *dev);

extern int kdk_device_clear_phone_whitelist();

#ifdef __cplusplus
}
#endif

#endif