#ifndef LIBKYDEVICESEC_PRINTER_H
#define LIBKYDEVICESEC_PRINTER_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 打印机管控 
 * 
 */

typedef enum _kdk_printer_status {
    KDK_PRINTER_ENABLE = 1,        //启用打印机
    KDK_PRINTER_DISABLE = 2,       //禁用打印机
} kdk_printer_status;

/**
 * @brief 设置打印机管控状态
 * 
 * @param status [in] kdk_printer_status
 * @return int 返回0表示成功，返回其他表示失败
 */
extern int kdk_device_set_printer_status(int status);

/**
 * @brief 获取打印管控状态
 * 
 * @return int 返回kdk_printer_status, 返回其他表示失败
 */
extern int kdk_device_get_printer_status();


#ifdef __cplusplus
}
#endif

#endif